summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorwl <wl>2010-02-25 20:17:11 +0000
committerwl <wl>2010-02-25 20:17:11 +0000
commit07abc00a2998f607f128ade6b2d80f590d617b6e (patch)
treed0e2a2a8e67c9b0f049cf683e031cf6ea3c38f4a /contrib
parent4de04ed53b19723acdc42512fb0b24daf280e1c4 (diff)
downloadgroff-07abc00a2998f607f128ade6b2d80f590d617b6e.tar.gz
Use named signals for `trap' in shell scripts.
* contrib/eqn2graph/eqn2graph.sh, contrib/grap2graph/grap2/graph.sh, contrib/pic2graph/pic2graph.sh: Do it.
Diffstat (limited to 'contrib')
-rw-r--r--contrib/eqn2graph/eqn2graph.sh4
-rw-r--r--contrib/grap2graph/grap2graph.sh4
-rw-r--r--contrib/pic2graph/pic2graph.sh4
3 files changed, 6 insertions, 6 deletions
diff --git a/contrib/eqn2graph/eqn2graph.sh b/contrib/eqn2graph/eqn2graph.sh
index 69196831..2f1fa566 100644
--- a/contrib/eqn2graph/eqn2graph.sh
+++ b/contrib/eqn2graph/eqn2graph.sh
@@ -32,7 +32,7 @@
#
# Thus, we pass -U to groff(1), and everything else to convert(1).
#
-# $Id: eqn2graph.sh,v 1.6 2008/09/29 00:53:29 esr Exp $
+# $Id: eqn2graph.sh,v 1.7 2010/02/25 20:17:13 wl Exp $
#
groff_opts=""
convert_opts=""
@@ -75,7 +75,7 @@ if test -z "$tmp"; then
{ (exit 1); exit 1; }
fi
-trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0 2 15
+trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' EXIT INT TERM
# Here goes:
# 1. Add .EQ/.EN.
diff --git a/contrib/grap2graph/grap2graph.sh b/contrib/grap2graph/grap2graph.sh
index 7c830c1a..580e340b 100644
--- a/contrib/grap2graph/grap2graph.sh
+++ b/contrib/grap2graph/grap2graph.sh
@@ -28,7 +28,7 @@
#
# Thus, we pass -U to groff(1), and everything else to convert(1).
#
-# $Id: grap2graph.sh,v 1.4 2005/05/18 07:03:06 wl Exp $
+# $Id: grap2graph.sh,v 1.5 2010/02/25 20:17:13 wl Exp $
#
groff_opts=""
convert_opts=""
@@ -71,7 +71,7 @@ if test -z "$tmp"; then
{ (exit 1); exit 1; }
fi
-trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0 2 15
+trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' EXIT INT TERM
# Here goes:
# 1. Add .G1/.G2.
diff --git a/contrib/pic2graph/pic2graph.sh b/contrib/pic2graph/pic2graph.sh
index 9d4854ff..0c456103 100644
--- a/contrib/pic2graph/pic2graph.sh
+++ b/contrib/pic2graph/pic2graph.sh
@@ -32,7 +32,7 @@
# We don't have complete option coverage on eqn because this is primarily
# intended as a pic translator; we can live with eqn defaults.
#
-# $Id: pic2graph.sh,v 1.8 2008/09/29 00:53:29 esr Exp $
+# $Id: pic2graph.sh,v 1.9 2010/02/25 20:17:13 wl Exp $
#
groffpic_opts=""
gs_opts=""
@@ -86,7 +86,7 @@ if test -z "$tmp"; then
{ (exit 1); exit 1; }
fi
-trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0 2 15
+trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' EXIT INT TERM
# Here goes:
# 1. Wrap the input in dummy .PS/PE macros (and add possibly null .EQ/.EN)